// Karma configuration
// Generated on Wed Jul 29 2015 10:10:29 GMT+0900 (JST)

module.exports = function (config) {
    config.set({
        basePath: '../..',
        frameworks: ['jasmine'],
        files: [
            'assets/test/dependencies/angular.js',
            'assets/test/dependencies/angular-mocks.js',
            'assets/test/dependencies/jquery.js',
            'assets/src/module.js',
            'assets/src/**/*.js',
            'assets/test/*-test.js'
        ],
        exclude: [
            'assets/test/*.conf.js'
        ],
        preprocessors: {},
        reporters: ['progress'],
        port: 9876,
        colors: true,
        logLevel: config.LOG_INFO,
        autoWatch: true,
        browsers: ['Firefox'],
        singleRun: true
    });
};
