#!/usr/bin/env node

"use strict";

var docAngularModules = require('apeman-dev-commons-documenting/lib/doc_angular_modules'),
    tasking = require('apeman-dev-commons-tasking');

var path = require('path'),
    async = require('async');

var basedir = path.resolve(__dirname, '../assets');
process.chdir(basedir);

tasking.runTasks([
    function (callback) {
        docAngularModules('src/**/*.js', './docs', {
            basedir: basedir
        }, callback);
    }
], true);