



# apStorage











Local storage wrapper.







  




## Methods
### get
Get data with key from local storage.


#### Parameters

| Param | Type | Details |
| :--: | :--: | :--: |
| key | string | <p>Key for storage.</p>  |




#### Returns</h4>

| Type | Description |
| :--: | :--: |
| object&#124;string&#124;null | <ul> <li>Acquired value.</li> </ul>  |




### getObj
Get value as an object.


#### Parameters

| Param | Type | Details |
| :--: | :--: | :--: |
| key | string | <p>Key for storage.</p>  |




#### Returns</h4>

| Type | Description |
| :--: | :--: |
| object&#124;null | <ul> <li>Acquired value.</li> </ul>  |




### getStr
Get value as string.


#### Parameters

| Param | Type | Details |
| :--: | :--: | :--: |
| key | string | <p>Key for storage.</p>  |




#### Returns</h4>

| Type | Description |
| :--: | :--: |
| string&#124;null | <ul> <li>Acquired value.</li> </ul>  |




### set
Set a value to save localstorage.


#### Parameters

| Param | Type | Details |
| :--: | :--: | :--: |
| key | string | <p>Key for storage.</p>  |
| val | string&#124;object | <p>Value to get.</p>  |






### remove
Remove an item from localstorage.


#### Parameters

| Param | Type | Details |
| :--: | :--: | :--: |
| key | string | <p>Key to remove.</p>  |






### setObj
Set an object.


#### Parameters

| Param | Type | Details |
| :--: | :--: | :--: |
| key | string | <p>Key for storage.</p>  |
| obj | object | <p>Object to set.</p>  |






### setStr
Set string.


#### Parameters

| Param | Type | Details |
| :--: | :--: | :--: |
| key | string | <p>Key for storage.</p>  |
| str | string | <p>String to save.</p>  |












